Error update-rc.d proftpd

    • OMV 0.5
    • Resolved

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Error update-rc.d proftpd

      hello,

      I come to you because I do not find the solution to a small problem.

      Since the admin (via internet), I wanted to change settings, but once you register, I get this error:

      Source Code

      1. Failed to execute command 'export LANG=C; update-rc.d 'proftpd' disable 2>&1':
      2. update-rc.d: error: no runlevel symlinks to modify, aborting!
      3. update-rc.d: using dependency based boot sequencing

      Source Code

      1. Erreur #4000:
      2. exception 'OMVException' with message 'Failed to execute command 'export LANG=C; update-rc.d 'proftpd' disable 2>&1': update-rc.d: error: no runlevel symlinks to modify, aborting!
      3. update-rc.d: using dependency based boot sequencing' in /usr/share/php/openmediavault/initscript.inc:90
      4. Stack trace:
      5. #0 /usr/share/php/openmediavault/initscript.inc(56): OMVSysVInitScript->update(true)
      6. #1 /usr/share/openmediavault/engined/module/ftp.inc(75): OMVSysVInitScript->exec()
      7. #2 /usr/share/openmediavault/engined/rpc/config.inc(162): OMVModuleFtp->stopService()
      8. #3 [internal function]: OMVRpcServiceConfig->applyChanges(Array, Array)
      9. #4 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
      10. #5 /usr/share/openmediavault/engined/rpc/config.inc(253): OMVRpcServiceAbstract->callMethod('applyChanges', Array, Array)
      11. #6 [internal function]: OMVRpcServiceConfig->applyChangesBg(Array, Array)
      12. #7 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
      13. #8 /usr/share/php/openmediavault/rpc.inc(62): OMVRpcServiceAbstract->callMethod('applyChangesBg', Array, Array)
      14. #9 /usr/sbin/omv-engined(495): OMVRpc::exec('Config', 'applyChangesBg', Array, Array, 1)
      15. #10 {main}
      Display All



      I tried several things, but none work.

      Thanking you in advance

      Cordialy
    • Source Code

      1. update-rc.d: using dependency based boot sequencing
      2. insserv: warning: script 'S03DbSecuritySpt' missing LSB tags and overrides
      3. insserv: warning: script 'S90bluetooth' missing LSB tags and overrides
      4. insserv: warning: script 'bluetoothdaemon' missing LSB tags and overrides
      5. insserv: warning: script 'DbSecuritySpt' missing LSB tags and overrides
      6. insserv: script bluetooth: service bluetooth already provided!
      7. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      8. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      9. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      10. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      11. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      12. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      13. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      14. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      15. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      16. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      17. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      18. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      19. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      20. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      21. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      22. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      23. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      24. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      25. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      26. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      27. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      28. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      29. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      30. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      31. insserv: There is a loop between service openmediavault-beep and bluetoothdaemon if stopped
      32. insserv: loop involving service bluetoothdaemon at depth 2
      33. insserv: loop involving service openmediavault-beep at depth 1
      34. insserv: There is a loop between service DbSecuritySpt and rmnologin if started
      35. insserv: loop involving service rmnologin at depth 20
      36. insserv: loop involving service DbSecuritySpt at depth 1
      37. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      38. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      39. insserv: Starting DbSecuritySpt depends on rmnologin and therefore on system facility `$all' which can not be true!
      40. insserv: Starting bluetoothdaemon depends on rmnologin and therefore on system facility `$all' which can not be true!
      41. insserv: Stopping bluetoothdaemon depends on openmediavault-beep and therefore on system facility `$all' which can not be true!
      42. insserv: exiting now without changing boot order!
      43. update-rc.d: error: insserv rejected the script header
      Display All
    • Are you on OMV 1.0? BTW what where your last modifications to the system? any extra software package installed?

      if you're in 1.0, then you don't have the omv-extras plugin, you have to install it first to upload the log file. Check my signature in the post to install omv-extras.
      Once installed

      [IMG:http://i.imgur.com/LwiPTvC.png]
      New wiki
      chat support at #openmediavault@freenode IRC | Spanish & English | GMT+10
      telegram.me/openmediavault broadcast channel
      openmediavault discord server
    • My version a OMV is 0.5.60 (Sardaukar)

      This 'apt-get update' command shows me :

      Source Code

      1. W: Erreur de GPG : http://packages.omv-extras.org kralizec Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AAA3036B30B2308A


      And, 'apt-get install openmediavault-omvextrasorg' shows me :

      Source Code

      1. openmediavault-omvextrasorg : Depends: openmediavault (>= 1.0.27.3) but 0.5.60 will be installed
    • Youre way behind. We are at version 1.0. I would recommend you to do either an upgrade or a fresh install of 1.0 (the second one is better)

      What's about your data drives and files (not the operating system drive)? you use RAID, single disk, LVM?
      New wiki
      chat support at #openmediavault@freenode IRC | Spanish & English | GMT+10
      telegram.me/openmediavault broadcast channel
      openmediavault discord server
    • hello,

      So I just updated to version 1.0.20 OVM

      When apt-get update ', I encounter the following errors

      Source Code

      1. Attachments -> update.txt


      Here is my source list

      Source Code

      1. # deb cdrom:[Debian GNU/Linux 7.0.0 _Wheezy_ - Official Snapshot i386 LIVE/INSTALL Binary 20140910-20:04]/ wheezy contrib main non-free
      2. #deb cdrom:[Debian GNU/Linux 7.0.0 _Wheezy_ - Official Snapshot i386 LIVE/INSTALL Binary 20140910-20:04]/ wheezy contrib main non-free
      3. deb http://ftp.fr.debian.org/debian/ wheezy main
      4. deb-src http://ftp.fr.debian.org/debian/ wheezy main
      5. deb http://security.debian.org/ wheezy/updates main contrib non-free
      6. deb-src http://security.debian.org/ wheezy/updates main contrib non-free
      7. # wheezy-updates, previously known as 'volatile'
      8. deb http://ftp.fr.debian.org/debian/ wheezy-updates main contrib non-free
      9. deb-src http://ftp.fr.debian.org/debian/ wheezy-updates main contrib non-free
      Display All
      Files
      • update.txt

        (21.93 kB, downloaded 387 times, last: )